Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Name:		tcp_wrappers
Version:	7.6
Release:	3
Group:		Networking/Analyzer
License:	GPL
Summary:	TCP/IP daemon wrapper
Source:		tcp_wrappers_7.6.tar.gz
Patch0:		tcp-wrappers-%version-sed.patch
Patch1:		tcp-wrappers-%version-makefile.patch
Patch2:		01_all_redhat-bug11881.patch
Patch3:		02_all_redhat-bug17795.patch
Patch4:		03_all_wildcard.patch
Patch5:		04_all_fixgethostbyname.patch
Patch6:		07_all_sig.patch
Patch7:		08_all_strerror.patch
Patch8:		09_all_gcc-3.4.patch
Patch9:		tcp-wrappers-7.6-shared.patch
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

%description
With this package you can monitor and filter incoming requests for the
SYSTAT, FINGER, FTP, TELNET, RLOGIN, RSH, EXEC, TFTP, TALK, and other
network services.

It supports both 4.3BSD-style sockets and System V.4-style TLI. Praise
yourself lucky if you don't know what that means.

The package provides tiny daemon wrapper programs that can be installed
without any changes to existing software or to existing configuration
files.  The wrappers report the name of the client host and of the
requested service; the wrappers do not exchange information with the
client or server applications, and impose no overhead on the actual
conversation between the client and server applications.

Optional features are: access control to restrict what systems can
connect to what network daemons; client user name lookups with the RFC
931 etc. protocol; additional protection against hosts that pretend to
have someone elses host name; additional protection against hosts that
pretend to have someone elses host address.

%package	devel
Summary: 	tcp_wrappers development headers.
Group:     	%{group}
Requires: 	tcp_wrappers = %{version}-%{release}

%description	devel
Header and include files for developing applications with tcp_wrappers.

%prep
%setup -n %{name}_%version
%patch0 -p0 
%patch1 -p0
%patch2 -p1
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
sed -i \
    -e 's:gcc:$(CC):' \
    -e 's:@make :@$(MAKE) :' \
    -e 's:make;:$(MAKE);:' \
    Makefile

make REAL_DAEMON_DIR=/usr/sbin GENTOO_OPT="-DHAVE_WEAKSYMS" \
MAJOR=0 MINOR=7 REL=6 config-check

make REAL_DAEMON_DIR=/usr/sbin GENTOO_OPT="-DHAVE_WEAKSYMS" \
MAJOR=0 MINOR=7 REL=6 linux

%install
rm -rf $RPM_BUILD_ROOT
gzip -9 *.3
gzip -9 *.5
gzip -9 *.8
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man/man{3,5,8}
install -m 644 hosts_access.3.gz ${RPM_BUILD_ROOT}/usr/share/man/man3/hosts_access.3.gz
install -m 644 hosts_access.5.gz ${RPM_BUILD_ROOT}/usr/share/man/man5/hosts_access.5.gz
install -m 644 hosts_options.5.gz ${RPM_BUILD_ROOT}/usr/share/man/man5/hosts_options.5.gz
install -m 644 tcpd.8.gz ${RPM_BUILD_ROOT}/usr/share/man/man8/tcpd.8.gz
install -m 644 tcpdchk.8.gz ${RPM_BUILD_ROOT}/usr/share/man/man8/tcpdchk.8.gz
install -m 644 tcpdmatch.8.gz ${RPM_BUILD_ROOT}/usr/share/man/man8/tcpdmatch.8.gz
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 755 tcpd ${RPM_BUILD_ROOT}/usr/sbin/tcpd
install -m 755 tcpdchk ${RPM_BUILD_ROOT}/usr/sbin/tcpdchk
install -m 755 tcpdmatch ${RPM_BUILD_ROOT}/usr/sbin/tcpdmatch
install -m 755 safe_finger ${RPM_BUILD_ROOT}/usr/sbin/safe_finger
install -m 755 try-from ${RPM_BUILD_ROOT}/usr/sbin/try-from
mkdir -p ${RPM_BUILD_ROOT}/usr/include
install -m 644 tcpd.h ${RPM_BUILD_ROOT}/usr/include/tcpd.h
mkdir -p ${RPM_BUILD_ROOT}/usr/lib
install -m 644 libwrap.a ${RPM_BUILD_ROOT}/usr/lib/libwrap.a
mkdir -p ${RPM_BUILD_ROOT}/lib
install -m 755 libwrap.so ${RPM_BUILD_ROOT}/lib/libwrap.so.0.7.6
ln -s libwrap.so.0.7.6 ${RPM_BUILD_ROOT}/lib/libwrap.so.0
ln -s libwrap.so.0 ${RPM_BUILD_ROOT}/lib/libwrap.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BLURB CHANGES DISCLAIMER README*
/usr/share/man/man3/hosts_access.3.gz
/usr/share/man/man5/hosts_access.5.gz
/usr/share/man/man5/hosts_options.5.gz
/usr/share/man/man8/tcpd.8.gz
/usr/share/man/man8/tcpdchk.8.gz
/usr/share/man/man8/tcpdmatch.8.gz
/usr/sbin/tcpd
/usr/sbin/tcpdchk
/usr/sbin/tcpdmatch
/usr/sbin/safe_finger
/usr/sbin/try-from
/lib/libwrap.so.0.7.6
/lib/libwrap.so.0
/lib/libwrap.so

%files devel
%defattr(-,root,root)
/usr/include/tcpd.h
/usr/lib/libwrap.a

%changelog
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 7.6-3
- changed package group to Networkin/Analyzer
* Wed May 18 2005 Christian Metzen <metzench@ccux-linux.de> 7.6-2
- Tweaked Spec File, added new Summary, description, changelog, splitted into main & devel
* Thu Mar 11 2005 Stefan Gottwald <sg3881@web.de> 7.6-1
- Initial Build